Commit 5e897851 authored by Felix Paul Kühne's avatar Felix Paul Kühne
Browse files

package/osx: make sure that we also put the platform-dependent modules in the ub oO

parent 17911253
#!/bin/bash
INTELROOT=/Volumes/vlc-0.8.6a/VLC.app
PPCROOT=/Applications/VLC.app
UBROOT=/Users/fpk/0.8.6a/VLC-release.app
INTELROOT=/Applications/VLC.app
PPCROOT=/Volumes/vlc-0.9.0-test3/VLC.app
UBROOT=/Users/fpk/VLC-release.app
for i in `ls $INTELROOT/Contents/MacOS/lib/`
do
......@@ -15,3 +15,7 @@ do
lipo $INTELROOT/Contents/MacOS/modules/$i $PPCROOT/Contents/MacOS/modules/$i -create -output $UBROOT/Contents/MacOS/modules/$i
done
lipo $INTELROOT/Contents/MacOS/VLC $PPCROOT/Contents/MacOS/VLC -create -output $UBROOT/Contents/MacOS/VLC
cp $INTELROOT/Contents/MacOS/modules/*mmx* $UBROOT/Contents/MacOS/modules/
cp $INTELROOT/Contents/MacOS/modules/*sse* $UBROOT/Contents/MacOS/modules/
cp $INTELROOT/Contents/MacOS/modules/*3dn* $UBROOT/Contents/MacOS/modules/
cp $PPCROOT/Contents/MacOS/modules/*altivec* $UBROOT/Contents/MacOS/modules/
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment